<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package authorcentric
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<div class="site-info">
			<a class="float_left" href="<?php echo esc_url( __( 'https://wordpress.org/', 'authorcentric' ) ); ?>"><?php printf( esc_html__( 'Proudly powered by %s', 'authorcentric' ), 'WordPress' ); ?></a>
	<div class="float_right">
			<?php printf( esc_html__( 'Theme: %1$s by %2$s.', 'authorcentric' ), 'authorcentric', 'Oliver Williams' ); ?>
			</div>
		</div><!-- .site-info -->

		<nav id="site-navigation" class="main-navigation" role="navigation">
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><?php esc_html_e( 'Primary Menu', 'authorcentric' ); ?></button>
			<?php wp_nav_menu( array( 'theme_location' => 'menu-1', 'menu_id' => 'primary-menu' ) ); ?>
		</nav><!-- #site-navigation -->

	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
